using System;
using System.Linq;
using System.Collections.Generic;
using System.IO;
using System.Runtime.InteropServices;
using System.Threading;

using InfServer.Logic;
using InfServer.Game;
using InfServer.Scripting;
using InfServer.Bots;
using InfServer.Protocol;

using Assets;
namespace scripts.GameTypes.Multi
{
    public partial class Helpers
    {
        SC_PlayerTeamUpdate tu = new SC_PlayerTeamUpdate();


        static void createExplosion(int itemid, Arena arena)
        {

            SC_PlayerUpdate up = new SC_PlayerUpdate();

            up.tickUpdate = Environment.TickCount;
            up.player = null;
            //up.vehicle = update;
            up.itemID = (short)itemid;
            up.bBot = true;

            ItemInfo item = AssetManager.Manager.getItemByID(itemid);

            //Send our updates..
            foreach (Player player in arena.Players)
            {
                    player._client.send(up);
            }
        }
    }
}
